package com.zjty.inspect.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class DevelopLanguageSystem {
    //原应用主要开发架构
    @ApiModelProperty(value = "原应用主要开发架构")
    private List<BaseDes> devFrameworks = new ArrayList<>();
    //bs原应用浏览器前端开发技术
    @ApiModelProperty(value = "bs原应用浏览器前端开发技术")
    private List<BaseDes> fontDevTechnologies = new ArrayList<>();
    //cs前端开发技术
    @ApiModelProperty(value = "cs前端开发技术")
    private List<BaseDes> csDevTechnologies = new ArrayList<>();
    //封装方式
    @ApiModelProperty(value = "封装方式")
    private List<BaseDes> opGAs = new ArrayList<>();
    //主开发语言
    @ApiModelProperty(value = "主开发语言id")
    private Integer code;
    @ApiModelProperty(value = "主开发语言名称")
    private String name;
//    private MainLanguageEnum mainLanguageEnum;
    //开发语言
    @ApiModelProperty(value = "其他开发语言名称")
    private List<BaseDes> devLanguages = new ArrayList<>();
}
